package com.qmth.distributed.print.business.enums;

/**
 * @Description: 发送消息枚举类
 * @Author: CaoZixuan
 * @Date: 2021-04-28
 */
public enum MessageEnum {

    NOTICE_OF_AUDIT_PASS("审核通过通知","SMS_1474165652","【审核通过】XX您好，【XXXX】（课程）、【XXXX】（试卷编号）试卷入库申请已通过，您可在卷库里进行查看已审核通过的试卷！"),
    NOTICE_OF_AUDIT_NOT_PASS("审核不通过通知","SMS_147416565","【审核不通过】XX您好，【XXXX】（课程）、【XXXX】（试卷编号）试卷入库申请未通过，您可查看审核意见后重新提交入库申请！"),
    ;

    MessageEnum(String name, String templateCode, String templateContent) {
        this.name = name;
        this.templateCode = templateCode;
        this.templateContent = templateContent;
    }

    private final String name;
    private final String templateCode;
    private final String templateContent;

    public String getName() {
        return name;
    }

    public String getTemplateCode() {
        return templateCode;
    }

    public String getTemplateContent() {
        return templateContent;
    }
}
